--- Bootstrap\Shared\_Layout.cshtml.orig	Sat Mar 30 16:25:56 2013
+++ Bootstrap\Shared\_Layout.cshtml	Mon Jan 27 16:42:31 2014
@@ -47,8 +47,6 @@
 	--></script>
 </head>
 <body>
-@if (Request.IsAuthenticated)
-{
 <div id="wrap">
 
 	<div class="navbar navbar-inverse navbar-fixed-top">
@@ -68,7 +66,10 @@
 							<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="icon-user icon-white"></i> @Html.Raw(String.Format(UIStrings.WelcomeUsername, Context.User.Identity.Name)) <b class="caret"></b></a>
 							<ul class="dropdown-menu">
 								<li><a href='@Url.Action("Index", "Settings")'><i class="icon-wrench"></i> @UIStrings.Settings</a></li>
+								@if (Request.IsAuthenticated)
+								{
 								<li><a href='@Url.Action("LogOff", "Account")'><i class="icon-off"></i> @UIStrings.LogOff</a></li>
+								}
 							</ul>
 						</li>
 					</ul>
@@ -79,7 +80,7 @@
 	</div>
 
 	<div class="container">
-		@if(ViewBag.showTitle != false) { <div class="page-header"><h1>@(ViewBag.HeadTitle != null ? ViewBag.HeadTitle : (ViewBag.Title != null ? ViewBag.Title : UIStrings.Welcome)) <small>@ViewBag.SubTitle</small></h1></div> }
+		@if(Request.IsAuthenticated && (ViewBag.showTitle != false)) { <div class="page-header"><h1>@(ViewBag.HeadTitle != null ? ViewBag.HeadTitle : (ViewBag.Title != null ? ViewBag.Title : UIStrings.Welcome)) <small>@ViewBag.SubTitle</small></h1></div> }
 		@RenderBody()
 	</div>
 	<div id="push"></div>
@@ -92,10 +93,6 @@
 		<p class="muted credit">WebMediaPortal | Bootstrap theme by Kay Schasfoort</p>
 	</div>
 </div>
-}else
-{
-@RenderBody()
-}
 
 </body>
 </html>
